#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	facedetect
Summary:	PHP Facedetect Extension
Name:		%{php_name}-%{modname}
Version:	1.1.0
Release:	3
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	https://github.com/infusion/PHP-Facedetect/archive/v%{version}/%{modname}-%{version}.tar.gz
# Source0-md5:	4ce5e01bf0933957b37f0d0c5735393a
URL:		http://www.xarg.org/project/php-facedetect/
BuildRequires:	%{php_name}-devel
BuildRequires:	opencv-devel
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides a PHP implementation of the OpenCV library.
The extension offers two new functions. In princible, they differ only
by their return value. The first returns only the number of faces
found on the given image and the other an associative array of their
coordinates.

%prep
%setup -q -n PHP-Facedetect-%{version}

%build
export LIBS=%{_libdir}/libopencv_*.so.*
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Nov 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-facedetect.git;a=log;h=master

* Thu Nov 05 2015 Elan Ruusamäe <glen@delfi.ee> 2020a0c
- php 7.0 RC6 rebuild
- release 3 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 245b23d
- release 2 (by relup.sh)

* Fri Apr 04 2014 Elan Ruusamäe <glen@delfi.ee> 06f8343
- up to 1.1.0 release

* Fri Jun 07 2013 Elan Ruusamäe <glen@delfi.ee> fe1f144
- fix packaging

* Fri Jun 07 2013 Elan Ruusamäe <glen@delfi.ee> 8e04689
- workaround for brain dead opencv packaging

* Fri Jun 07 2013 Elan Ruusamäe <glen@delfi.ee> 7f79665
- use github master trunk

* Fri Jun 07 2013 Elan Ruusamäe <glen@delfi.ee> 1067cca
- fix df

* Fri Jun 07 2013 Elan Ruusamäe <glen@delfi.ee> 81ba7f0
- new, based on pecl template

